Bio::DB::HIV::HIVAnnotProcessor(3)

NAME
HIVAnnotProcessor - Adds HIV-specific annotations to Bio::SeqIO streams

SYNOPSIS
   sub get_Stream_by_query {
       my ($self, $query ) = @_;
       my $stream = $self->get_seq_stream('-query' => $query, '-mode'=>'query');
       return new Bio::DB::HIV::HIVAnnotProcessor( -hiv_query=>$query,
                                                   -source_stream=>$stream );
   }

DESCRIPTION
Bio::DB::HIV::HIVAnnotProcessor is chained to the "next_seq" of a sequence stream returned from a query to the Los Alamos HIV sequence database made using Bio::DB::HIV and Bio::DB::Query::HIVQuery. It adds the annotations obtained in the "Bio::DB::Query::HIVQuery" to the Bio::Seq objects themselves via the "$seq->annotation" method.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Mark A. Jensen
Email maj@fortinbras.us

CONTRIBUTORS
Mark A. Jensen

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

Constructor

  new
 Title   : new
 Usage   : my $obj = new HIVAnnotProcessor();
 Function: Builds a new HIVAnnotProcessor object
 Returns : an instance of HIVAnnotProcessor
 Args    :

Bio::Factory::SequenceProcessorI compliance

  source_stream
 Title   : source_stream
 Usage   : $hap->source_stream($newval)
 Function:
 Example :
 Returns : value of source_stream (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  next_seq
 Title   : next_seq
 Usage   : $seqobj = stream->next_seq
 Function: Reads the next sequence object from the stream,
         : adds annotations from the HIVQuery object according
         : to the sequence id, and returns sequence object
 Returns : a Bio::Seq sequence object
 Args    : none

  write_seq
 Title   : write_seq
 Usage   : $seqobj->write_seq
 Function: for HIVAnnotProcessor, throw an exception
 Example :
 Returns : Bio::Root::IOException
 Args    :

HIVAnnotProcessor-specific methods

  hiv_query
 Title   : hiv_query
 Usage   : $obj->hiv_query($newval)
 Function:
 Example :
 Returns : value of hiv_query (a Bio::DB::Query::HIVQuery object)
 Args    : on set, new value (an HIVQuery object, optional)